<?php
// استيراد ملف الاتصال بقاعدة البيانات
include 'inc/connect.php';

// التحقق من وجود متغير POST
if (isset($_POST['username'])) {
    $selectedUser = $_POST['username'];
    $selecteddepartment = $_POST['selecteddepartment'];

    // دالة لاسترجاع صلاحيات المستخدم
    function getUserPermissions($username, $department_id)
    {
        global $con;
        $query = "SELECT permission_id FROM user_department_permissions WHERE user_id = :username AND department_id = :zdepartment_id";
        $stmt = $con->prepare($query);
        $stmt->bindParam(':username', $username);
        $stmt->bindParam(':zdepartment_id', $department_id);
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_COLUMN);
    }

    // استرجاع صلاحيات المستخدم المحدد
    $userPermissions = getUserPermissions($selectedUser, $selecteddepartment);

    // إرجاع الصلاحيات بتنسيق JSON
    echo json_encode($userPermissions);
} else {
    // في حالة عدم وجود متغير POST
    echo json_encode([]);
}
?>
